%define gstreamername gstreamer1

Name: gstlal-calibration
Version: 0.99
Release: 1.lscsoft
Summary: GSTLAL Calibration
License: GPL
Group: LSC Software/Data Analysis
Requires: gstlal >= 0.99 gstlal-ugly >= 0.99 python >= 2.7 glue >= 1.50 glue-segments >= 1.50 python-pylal >= 0.9.0 %{gstreamername} >= 1.2.4 %{gstreamername}-plugins-base >= 1.2.4 %{gstreamername}-plugins-good >= 1.2.4 %{gstreamername}-python >= 0.10.21 numpy scipy lal >= 6.15.2 lalmetaio >= 1.2.6
BuildRequires: gstlal-devel >= 0.99 python-devel >= 2.7 fftw-devel >= 3 %{gstreamername}-devel >= 1.2.4 %{gstreamername}-plugins-base-devel >= 1.2.4 lal-devel >= 6.15.2 lalmetaio-devel >= 1.2.6
Conflicts: gstlal-ugly < 0.6.0
Source: gstlal-calibration-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/gstlal.html
Packager: Madeline Wade <madeline.wade@gravity.phys.uwm.edu>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%description
This package contains the plugins and shared libraries required to run the gstlal calibration software.


%prep
%setup -q -n %{name}-%{version}


%build
. /opt/lscsoft/gst/gstenvironment.sh
%configure
%{__make}


%install
# FIXME:  why doesn't % makeinstall macro work?
DESTDIR=${RPM_BUILD_ROOT} %{__make} install
# remove .so symlinks from libdir.  these are not included in the .rpm,
# they will be installed by ldconfig in the post-install script, except for
# the .so symlink which isn't created by ldconfig and gets shipped in the
# devel package
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT}/%{_libdir} -name "*.so.*" -type l -delete
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete


%post
if test -d /usr/lib64 ; then
	ldconfig /usr/lib64
else
	ldconfig
fi


%postun
if test -d /usr/lib64 ; then
	ldconfig /usr/lib64
else
	ldconfig
fi


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/gstreamer-1.0/python/*
%{_libdir}/gstreamer-1.0/libgstlalcalibration.a
%{_libdir}/gstreamer-1.0/libgstlalcalibration.so
%{_libdir}/gstreamer-1.0/libgstlaldeinterleave.a
%{_libdir}/gstreamer-1.0/libgstlaldeinterleave.so
%{_libdir}/gstreamer-1.0/libgstlalinterleave.a
%{_libdir}/gstreamer-1.0/libgstlalinterleave.so
%{_prefix}/%{_lib}/python*/site-packages/gstlal
